# Get allow/block rule

## GET /workspaces/{workspaceId}/conversation-allowblock-rules/{allowBlockRuleId}

> Get Allow/Block rule

```json
{"openapi":"3.0.3","info":{"title":"Conversations","version":"v1"},"tags":[{"name":"email_allowblock_rules","description":"Manage Allow/Block rules for your inbox"}],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"responses":{"conversations.response.allowblock.rule":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/conversations.allowblock.rule"}}},"description":"The Allow/Block rule."},"notFound":{"$ref":"#/components/responses/error.response.not_found"},"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}},"schemas":{"conversations.allowblock.rule":{"description":"An AllowBlockRule is a rule that allows or blocks a specific value in a specific category.","properties":{"category":{"$ref":"#/components/schemas/conversations.allowblock.rule.category"},"createdAt":{"format":"date-time","type":"string"},"createdBy":{"format":"uuid","type":"string"},"id":{"format":"uuid","type":"string"},"type":{"$ref":"#/components/schemas/conversations.allowblock.rule.type"},"updatedAt":{"format":"date-time","type":"string"},"updatedBy":{"format":"uuid","type":"string"},"value":{"type":"string"},"workspaceId":{"format":"uuid","type":"string"}},"required":["id","workspaceId","category","value","type","createdBy","createdAt","updatedBy","updatedAt"],"type":"object"},"conversations.allowblock.rule.category":{"description":"The category of the AllowBlockRule.","enum":["all","domain","domain_suffix","email"],"type":"string"},"conversations.allowblock.rule.type":{"description":"The type of the AllowBlockRule.","enum":["allow","reject","suspend"],"type":"string"},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}}},"paths":{"/workspaces/{workspaceId}/conversation-allowblock-rules/{allowBlockRuleId}":{"get":{"summary":"Get Allow/Block rule","operationId":"getAllowBlockRule","tags":["email_allowblock_rules"],"responses":{"200":{"$ref":"#/components/responses/conversations.response.allowblock.rule"},"404":{"$ref":"#/components/responses/notFound"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/conversations-api/api-reference/workspace-settings/get-allow-block-rule.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
